#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH

if crontab -l|grep -q "/bin/certbot renew";then
    echo "Remove Let's encrypt crontab renew rule..."
    (crontab -l | grep -v '/bin/certbot renew') | crontab -
    echo "Update Let's encrypt crontab renew rule..."
    if [[ -s /usr/local/apache/bin/httpd && -s /usr/local/apache/conf/httpd.conf && -s /etc/init.d/httpd && ! -s /usr/local/php/sbin/php-fpm ]]; then
        (crontab -l ; echo '0 3 */7 * * /bin/certbot renew --disable-hook-validation --renew-hook "/etc/init.d/httpd restart"') | crontab -
    else
        (crontab -l ; echo '0 3 */7 * * /bin/certbot renew --disable-hook-validation --renew-hook "/etc/init.d/nginx reload"') | crontab -
    fi
    echo "OK."
fi

sed -i 's#if crontab -l|grep -q "/bin/certbot renew";then#if crontab -l|grep -q "/bin/certbot renew --disable-hook-validation";then#g' /bin/lnmp
sed -i 's#/bin/certbot renew --renew-hook#/bin/certbot renew --disable-hook-validation --renew-hook#g' /bin/lnmp

echo "Try to run certbot renew script..."
if [[ -s /usr/local/apache/bin/httpd && -s /usr/local/apache/conf/httpd.conf && -s /etc/init.d/httpd && ! -s /usr/local/php/sbin/php-fpm ]]; then
    /bin/certbot renew --disable-hook-validation --renew-hook "/etc/init.d/httpd restart"
else
    /bin/certbot renew --disable-hook-validation --renew-hook "/etc/init.d/nginx reload"
fi